Initiates an outbound phone call from an AI agent to a specified phone number
curl --request POST \
--url https://www.lawtte.ai/api/v2/create-outbound-call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"toNumber": "<string>",
"agentId": "<string>",
"firmSlug": "<string>",
"dynamicVariables": {}
}
'import requests
url = "https://www.lawtte.ai/api/v2/create-outbound-call"
payload = {
"toNumber": "<string>",
"agentId": "<string>",
"firmSlug": "<string>",
"dynamicVariables": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
toNumber: '<string>',
agentId: '<string>',
firmSlug: '<string>',
dynamicVariables: {}
})
};
fetch('https://www.lawtte.ai/api/v2/create-outbound-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"call_id": "call_def456",
"status": "registered"
}Voice & Chat
Initiates an outbound phone call from an AI agent to a specified phone number
Initiates an outbound phone call from an AI agent to a specified phone number. Validates the agent, creates the call, and logs it to Supabase.
POST
/
api
/
v2
/
create-outbound-call
Initiates an outbound phone call from an AI agent to a specified phone number
Authorizations
Lawtte API key or session token: Authorization: Bearer <token>.
Body
application/json
Response
Success
The response is of type object.

